/**
  ******************************************************************************
  * @file    DALI_Config.h 
  * @author  Pascual Martinez Perez
  * @version V1.0
  * @date    12-Mayo-2016
  * @brief   Header for DALI_Config.c module
  ******************************************************************************
  *
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef DALI_Config
#define DALI_Config

/* Includes ------------------------------------------------------------------*/
#include "stm32f4_discovery.h"
#include "stm32f4xx.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* --- HARDWARE definitions --- */
/* IO pins for DALI in and DALI out signals */
#define OUT_DALI_PORT      GPIOD //PD1 = TX
#define OUT_DALI_PIN       GPIO_PIN_1
//#define INVERT_OUT_DALI    0

#define IN_DALI_PORT       GPIOD //PD3 = RX
#define IN_DALI_PIN        GPIO_PIN_3
//#define INVERT_IN_DALI     0




/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */


#endif /* DALI_Config */