/**
  ******************************************************************************
  * @file    DALI_Stack.h 
  * @author  Pascual Martinez Perez
  * @version V1.0
  * @date    12-Mayo-2016 
  * @brief   Header for DALI_Stack.c module
  ******************************************************************************
  *
  *
  ******************************************************************************
  */

 /* Define to prevent recursive inclusion -------------------------------------*/
#ifndef DALI_STACK
#define DALI_STACK
    
 /* Includes ------------------------------------------------------------------*/


/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void Inicio_Dali(void);
void Inicio_Master_Dali(void);
void TX_Datos_Dali(void);
void RX_Datos_Dali(void);
void enviaDato(unsigned char posicion,unsigned char dato);
void busReposo(void);



/**    
// Initialize
extern void dali_Init(void);
// Sends the DALI address and command on the dali port
extern void dali_SendData(void);
// Interrupt handler for incoming data on the dali port
extern @interrupt void dali_Start(void);
// Interrupt handler for timebase module
extern @interrupt void dali_Tick(void);    
 **/
#endif /* DALI_STACK */   
    
    


