/**
  ******************************************************************************
  * @file    DatosComunes.h 
  * @author  Pascual Martinez Perez
  * @version V1.0
  * @date    12-Mayo-2016
  * @brief    
  ******************************************************************************
  *
  * Contiene definiciones comunes
  *
  *
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef DATOS_COMUNES
#define DATOS_COMUNES

/* Includes ------------------------------------------------------------------*/

/* Exported types ------------------------------------------------------------*/

/* Exported constants --------------------------------------------------------*/
#define TRUE 1
#define FALSE 0

// Global definition
extern unsigned char direccion; // direccion DALI 
extern unsigned char comando; // comando DALI
extern unsigned char respuesta; // respuesta DALI 
extern unsigned char error; // codigo error
extern unsigned int flag; // Nos indica los eventos

#define NEW_DATA 0x01 // Nuevos datos
#define SEND_DATA 0x02 // Para el envio de datos
#define ERROR_EVENT 0x04 // Si hay error
#define ANSWER_EVENT 0x08 // Respuesta de comandos

/* Exported macro ------------------------------------------------------------*/
#define enableInt() _asm("cli") // Enable interrupt
#define disableInt() _asm("sei") // Disable interrupt

/* Exported functions ------------------------------------------------------- */   

#endif /* DATOS_COMUNES */