/**
  ******************************************************************************
  * @file    UtilidadesPlaca.c
  * @author  Pascual Martinez Perez
  * @version V1.0
  * @date    12-Mayo-2016
  * @brief   
  ******************************************************************************
  *
  *
  ******************************************************************************
  */
  


/* Includes ------------------------------------------------------------------*/
#include "UtilidadesPlaca.h"
#include "stm32f4_discovery.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
 
/**
  * @brief  leds_Saludo
  * @param  None
  * @retval None
  */
void leds_Saludo(void)
{
  leds_ON();
  //HAL_Delay(500);
  leds_OFF();
  
  /*BSP_LED_Toggle(LED3);
  HAL_Delay(500);
  BSP_LED_Toggle(LED4);
  HAL_Delay(500);
  BSP_LED_Toggle(LED5);
  HAL_Delay(500);
  BSP_LED_Toggle(LED6);
  HAL_Delay(500);*/
}

/**
  * @brief  leds_OFF
  * @param  None
  * @retval None
  */
void leds_OFF(void)
{
  BSP_LED_Off(LED3);
  BSP_LED_Off(LED4);
  BSP_LED_Off(LED5);
  BSP_LED_Off(LED6);
}


/**
  * @brief  leds_ON
  * @param  None
  * @retval None
  */
void leds_ON(void)
{
  BSP_LED_On(LED3);
  BSP_LED_On(LED4);
  BSP_LED_On(LED5);
  BSP_LED_On(LED6);
}

/**
  * @brief  led_Naranja
  * @param  None
  * @retval None
  */

void led_Naranja_ON(void)
{
  BSP_LED_On(LED3);
}

void led_Naranja_OFF(void)
{
  BSP_LED_Off(LED3);
}

/**
  * @brief  led_Verde
  * @param  None
  * @retval None
  */

void led_Verde_ON(void)
{
  BSP_LED_On(LED4);
}

void led_Verde_OFF(void)
{
  BSP_LED_Off(LED4);
}

/**
  * @brief  led_Rojo
  * @param  None
  * @retval None
  */

void led_Rojo_ON(void)
{
  BSP_LED_On(LED5);
}

void led_Rojo_OFF(void)
{
  BSP_LED_Off(LED5);
}

/**
  * @brief  led_Azul
  * @param  None
  * @retval None
  */

void led_Azul_ON(void)
{
  BSP_LED_On(LED6);
}

void led_Azul_OFF(void)
{
  BSP_LED_Off(LED6);
}
